commit: cfb0add1920c9bf03ee9335c9fe9d3c13ffe28bb
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 31 17:36:00 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 31 17:40:54 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cfb0add1
dev-python/iniparse: Bump to 0.5_p20221102 snapshot
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/iniparse/Manifest | 1 +
dev-python/iniparse/iniparse-0.5_p20221102.ebuild | 43 +++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/dev-python/iniparse/Manifest b/dev-python/iniparse/Manifest
index 5c42f6cb341c..893eca714c97 100644
--- a/dev-python/iniparse/Manifest
+++ b/dev-python/iniparse/Manifest
@@ -1 +1,2 @@
DIST iniparse-0.5.tar.gz 32233 BLAKE2B
3da99f9d828318f78ddb8789afe63a7fdec017eaf41df5f420b0f358a9724eb787f312c9964238d9e42ebecce143d37f72858c7935cafbcf0221229b89033026
SHA512
b3f10d1b36497c3c5c71cb0a1ac73d74d8944f4ad3b7acc4a4b0246c2f1a20c184d9af20bbb3cb8ec4f57fddfb5e103b92688847debb4200ef0583353d7f9556
+DIST python-iniparse-ab623b0e287a9303bdb0c5213c485110e68dac12.tar.gz 33680
BLAKE2B
66ff134b1df28ae9c3e86110e7f8ad8dc0e24ed48f09db0c7554464e8d919aca49a7e43156c4acb8602af134c2f9d6c046d05cf1764f29285d8586329708a65a
SHA512
57c43f7e0d28eab0e41bb819f7c06821d77f9bc5f3d0986f85dd4852b2edd468bb7b2737733e2f00faeac2e1211998d2e99b54ec92959eaf6d7d10897b176eaf
diff --git a/dev-python/iniparse/iniparse-0.5_p20221102.ebuild
b/dev-python/iniparse/iniparse-0.5_p20221102.ebuild
new file mode 100644
index 000000000000..06b30f3296bb
--- /dev/null
+++ b/dev-python/iniparse/iniparse-0.5_p20221102.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+EGIT_COMMIT=ab623b0e287a9303bdb0c5213c485110e68dac12
+MY_P=python-iniparse-${EGIT_COMMIT}
+
+DESCRIPTION="Better INI parser for Python"
+HOMEPAGE="
+ https://github.com/candlepin/python-iniparse/
+ https://pypi.org/project/iniparse/
+"
+SRC_URI="
+
https://github.com/candlepin/python-iniparse/archive/${EGIT_COMMIT}.tar.gz
+ -> ${MY_P}.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+"
+
+python_test() {
+ "${EPYTHON}" runtests.py || die
+}
+
+python_install_all() {
+ rm -rf "${ED}/usr/share/doc" || die
+ distutils-r1_python_install_all
+}